Disable the runtime VNC desktop
const url = 'https://api.runta.me/v2/runtimes/example/vnc/disable?expected_revision=1';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url 'https://api.runta.me/v2/runtimes/example/vnc/disable?expected_revision=1' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Query Parameters
Section titled “Query Parameters”Runtime aggregate revision required for optimistic concurrency.
Responses
Section titled “Responses”Response envelope.
Response envelope.
object
Runtime response object.
object
Non-secret environment variables the runtime carries.
object
User-chosen display name.
Egress policy.
object
Deny matching hosts and allow all other egress destinations.
object
Host names or wildcard patterns to deny.
Allow only matching egress destinations.
object
Host names or wildcard patterns to allow.
Whether official LLM HTTP API tool input/output capture is enabled.
Canonical LLM tool-output compression policy.
object
Runtime idle suspension and automatic wakeup policy.
object
Disable automatic idle suspension and wakeup.
object
Automatically suspend an idle runtime, but require an explicit Start to wake it.
object
Idle duration before automatic suspension.
Automatically suspend an idle runtime and wake it on supported activity.
object
Idle duration before automatic suspension.
Stable runtime UUID.
RFC3339 timestamp when the control-plane runtime row was created.
RFC3339 timestamp of the last control-plane runtime row mutation.
Active ingress specs.
Public ingress forwarding rule.
object
Application-layer protocol.
Port inside the runtime VM.
Runtime resource state.
object
Current resource allocation.
object
Current memory allocation in MiB.
Worker-observed overlay virtual capacity in GiB.
Resource limits.
object
Maximum memory in MiB.
Resource requests.
object
Requested baseline memory in MiB.
Requested virtual CPUs.
Target overlay virtual capacity in GiB.
Stable Runtime Image variant identifier.
Runtime status.
Whether a running runtime has lacked a new successful heartbeat for at least 60 seconds.
Control-plane target lifecycle state.
Whether this runtime supports SSH access.
Whether the shared VNC desktop is configured to run with this runtime.
Whether the current Worker assignment has published a ready VNC mapping.
Bounded machine-readable VNC startup failure code.
Fixed native VNC gateway connection parameters for this runtime’s zone.
object
Public VNC gateway DNS hostname.
Public native VNC TCP port.
Username required by the X509Plain handshake.
VeNCrypt authentication subtype required by the gateway.
Bounded machine-readable provisioning failure code.
Organization member who owns the runtime.
Whether the current caller may perform control operations on this runtime.
Monotonic runtime aggregate revision.
Canonical inline secret injection configuration.
Inline injection configuration for one tenant secret.
object
Environment variable populated from a secret.
object
HTTP egress credential populated from a secret.
object
Where an egress secret is injected.
Managed credential file populated from a secret.
object
Delivery path, relative to the guest home directory.
Example
{ "data": { "egress_policy": { "mode": "denylist" }, "idle_policy": { "mode": "disabled" }, "ingress_specs": [ { "protocol": "http" } ], "status": "running", "desired_status": "running", "vnc_connection": { "username": "runta", "security_type": "X509Plain" }, "secret_configuration": [ { "environment": [], "egress_rules": [], "files": [] } ] }}Missing, malformed, or rejected bearer token
object
object
UUID v7 correlation ID shared with the X-Request-Id response header.
Example
{ "error": { "code": "already_exists" }}The bearer token is not allowed to perform this action
object
object
UUID v7 correlation ID shared with the X-Request-Id response header.
Example
{ "error": { "code": "already_exists" }}The requested resource was not found
object
object
UUID v7 correlation ID shared with the X-Request-Id response header.
Example
{ "error": { "code": "already_exists" }}The request conflicts with current resource state
object
object
UUID v7 correlation ID shared with the X-Request-Id response header.
Example
{ "error": { "code": "already_exists" }}Validation or application error
object
object
UUID v7 correlation ID shared with the X-Request-Id response header.
Example
{ "error": { "code": "already_exists" }}Rate limit exceeded
object
object
UUID v7 correlation ID shared with the X-Request-Id response header.
Example
{ "error": { "code": "already_exists" }}Operation is not implemented
object
object
UUID v7 correlation ID shared with the X-Request-Id response header.
Example
{ "error": { "code": "already_exists" }}Upstream service is unavailable
object
object
UUID v7 correlation ID shared with the X-Request-Id response header.
Example
{ "error": { "code": "already_exists" }}Upstream request timed out
object
object
UUID v7 correlation ID shared with the X-Request-Id response header.
Example
{ "error": { "code": "already_exists" }}default
Section titled “default”Error response
object
object
UUID v7 correlation ID shared with the X-Request-Id response header.
Example
{ "error": { "code": "already_exists" }}